#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ausgabe Status grüner Taster am MoveHub
# 21.3.20, S. Mack

from pylegoboost import movehub
from time import sleep
#import logging

#logging.basicConfig(filename='logDatei.log', level=10)
#logging.basicConfig(level=10)

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

cnt = 0
limit = 10

print('Ausgabe Status grüner Taster am MoveHub (10 Callbacks):')
hub = movehub.MoveHub(hub_mac=HUB_MAC)

def callback(is_pressed):
    global cnt
    cnt += 1
    print("Count: {}   Button pressed: {}".format(cnt, is_pressed))

hub.button.subscribe(callback)

try:
    while cnt < limit:
        sleep(0.1)
except KeyboardInterrupt: # Wenn Strg + c eingegeben wird
    print()
    print('Strg + C erkannt...')
    sleep(2)
finally:
    print('...Button Notifications Abo beenden...')
    hub.button.unsubscribe(callback)
    print('...BLE-Verbindung wird beendet.')
    hub.disconnect() # BLE-Verbindung beenden




hub.disconnect() # BLE-Verbindung beenden
