#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Auslesen Farb- und Abstandssensor.
# +++ funktioniert noch nicht +++
# 21.3.20, S. Mack

from pylegoboost import movehub, constants
from time import sleep
#import logging

#logging.basicConfig(level=10)

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs von Stefan
#HUB_MAC = '00:16:53:A8:E1:8D' # MAC-Adresse des MoveHubs der Hochschule

cnt = 0
limit = 50

print('Auslesen des Farb-/Abstandssensor (Farbe, Astandswert, 50 Callbacks, Werte nur bei Änderung Sensorsignal!):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

def callback(color, distance=None):
    global cnt
    cnt += 1
    print("Count: {}   Color: {}   Distance: {}".format(cnt, constants.COLORS[color], distance))

hub.color_distance_sensor.subscribe(callback)

try:    
    while cnt < limit:
        sleep(0.1)
except KeyboardInterrupt: # Wenn Strg + c eingegeben wird
    print()
    print('Strg + C erkannt...')
    sleep(2)
finally:
    print('...Color Sensor Notifications Abo beenden...')
    hub.color_distance_sensor.unsubscribe(callback)
    print('...BLE-Verbindung wird beendet.')
    hub.disconnect() # BLE-Verbindung beenden
    sleep(2)
