#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ansteuern der LED mit den unterschiedlichen Farben.
# 21.3.18, S. Mack

from pylegoboost import movehub, constants
from time import sleep

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

hub = movehub.MoveHub(hub_mac=HUB_MAC)

print('Ansteuern der LED mit den unterschiedlichen Farben:')

hub.color_distance_sensor.subscribe(lambda x, y: None) # Dummyfunktion als Callback
for color in constants.COLORS.keys():
    hub.led.set_color(color)
    sleep(1)

hub.disconnect() # BLE-Verbindung beenden