#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ansteuern der Motoren A und B mit Vorgabe Drehwinkel und Drehzahl.
# Der Wert für die Drehzahl ist ein Float zwischen -1 und +1 und hier fest auf +1 bzw. -1
# 21.3.20, S. Mack

from pylegoboost import movehub
from time import sleep

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

print('Ansteuern der Motoren A und B mit Vorgabe Drehwinkel:')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

for angle in range(0, 361, 90):
    print('Drehwinkel: {}'.format(angle))
    hub.motor_B.angled(angle, 1)
    sleep(1)
    hub.motor_B.angled(angle, -1)
    sleep(1)

    hub.motor_AB.angled(360, 1, -1)
    sleep(1)
    hub.motor_AB.angled(360, -1, 1)
    sleep(1)

hub.disconnect() # BLE-Verbindung beenden
