#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Ansteuern des separaten Motors an Port C oder D ber Laufzeit, Drehwinkel
# bzw. Dauerlauf.
# Der Wert fr die Drehzahl ist ein Float zwischen -1 und +1
# 21.3.20, S. Mack

from pylegoboost import movehub
from time import sleep

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs
motor = None

print('Ansteuern des separaten Motors an Port C oder D:')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

if isinstance(hub.port_D, movehub.EncodedMotor):
    print('Motor an Port D erkannt!')
    motor = hub.port_D
elif isinstance(hub.port_C, movehub.EncodedMotor):
    print('Motor an Port C erkannt!')
    motor = hub.port_C
else:
    print("Kein Motor an den Ports C oder D erkannt!")

if motor:
    # Vorgabe Lauffzeit 3 Sekunden, Drehzahl 1 bzw. -1
    print('Motorsteuerung ueber Laufzeit')
    motor.timed(3, 1)
    sleep(1)
    motor.timed(3, -1)
    sleep(1)
    # Vorgabe Drehwinkel 180 Grad, Drehzahl 1 bzw. -1
    print('Motorsteuerung ueber Drehwinkel')
    motor.angled(180, -0.5)
    sleep(1)
    motor.angled(180, 0.5)
    sleep(1)
    # Motor im Dauerlauf (Parameter speed_secundary noch unbekannt)
    print('Motorsteuerung Dauerlauf')
    motor.constant(1)
    sleep(2)
    motor.constant(0)

hub.disconnect() # BLE-Verbindung beenden
