#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Auslesen aller drei Neigungswinkel des Lagesensors.
# 21.3.20, S. Mack

from pylegoboost import movehub
from time import sleep

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

cnt = 0
limit = 50

print('Auslesen des Lagesensors (Roll-, Pitch-, Yaw-Werte, 50 Callbacks):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

def callback(pitch, roll, yaw):
    global cnt
    cnt += 1
    print("Count: {}   Roll: {}   Pitch: {}   Yaw: {}".format(cnt, pitch, roll, yaw))

hub.tilt_sensor.subscribe(callback, mode=hub.tilt_sensor.MODE_3AXIS_FULL)

try:
    while cnt < limit:
        sleep(0.1)
except KeyboardInterrupt: # Wenn Strg + c eingegeben wird
    print()
    print('Strg + C erkannt...')
    sleep(2)
finally:
    sleep(0.5)
    print('...Lagesensor Notifications Abo beenden...')
    hub.tilt_sensor.unsubscribe(callback)
    print('...BLE-Verbindung wird beendet.')
    hub.disconnect() # BLE-Verbindung beenden
