#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter pylgbst Bibliothek mit Blue Giga BLE Adapter
# Auslesen der groben Ausrichtung des MoveHubs mit dem Lagesensor.
# Werte werden nur ausgegeben, wenn sich Ausrichtung um mehr als ca.
# 45 ° ändert.
# 21.3.20, S. Mack

from pylegoboost import movehub
from time import sleep

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

cnt = 0
limit = 20

print('Auslesen Ausrichtung (UP, DOWN,..., 20 Callbacks, MoveHub bewegen!):')

hub = movehub.MoveHub(hub_mac=HUB_MAC)

def callback(state):
    global cnt
    cnt += 1
    print("Count: {}   Ausrichtung MoveHub: {}".format(cnt, hub.tilt_sensor.TRI_STATES[state]))

hub.tilt_sensor.subscribe(callback, mode=hub.tilt_sensor.MODE_3AXIS_SIMPLE)

try:
    while cnt < limit:
        sleep(0.1)
except KeyboardInterrupt: # Wenn Strg + c eingegeben wird
    print()
    print('Strg + C erkannt...')
    sleep(2)
finally:
    sleep(0.5)
    print('...Lagesensor Notifications Abo beenden...')
    hub.tilt_sensor.unsubscribe(callback)
    print('...BLE-Verbindung wird beendet.')
    hub.disconnect() # BLE-Verbindung beenden
