#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# Testprogramm fuer MoveHub unter gatt Bibliothek oder mit Blue Giga BLE Adapter
# While-Schleife des Hauptprogramms gibt jede Sekunde das Zeichen "-" aus
# Bei Start in Bash Shell wird anders als in Python Shell der Device
# Manager Thread gestoppt. Dadurch Exception, die noch abgefangen werden muss.
# 21.3.20, S. Mack

from pylegoboost import movehub
from time import sleep
import logging

#logging.basicConfig(filename='logDatei.log', level=10)
#logging.basicConfig(level=10)

HUB_MAC = '00:16:53:AB:64:29' # MAC-Adresse des MoveHubs

hub = movehub.MoveHub(hub_mac=HUB_MAC)

print('Programmabbruch mit Strg + C')

try:
   while True:
      if not hub.online():
         logging.info('MovHeub nicht mehr online. Programm wird abgebrochen.')
         break   
      logging.info('MoveHub online? %s', hub.online())
      sleep(1)
      print('-', end='',flush=True)
except KeyboardInterrupt: # Wenn Strg + c eingegeben wird
   print()
   print('Strg + C erkannt...')
   sleep(2)
finally:
   print('...BLE-Verbindung wird beendet.')
   hub.disconnect() # BLE-Verbindung beenden
   sleep(2)
   logging.info('MoveHub online? %s', hub.online())
   exit(0)
