#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Programm mit Basisbefehlen zum Testen der BLE-Kommunikation
mit einem Lego MoveHub (Lego Boost) über die Python-Bibliothek
pygatt zusammen mit einem BlueGiga BLED112 Bluetoothadapter.

pypi.org/project/pygatt/
github.com/peplin/pygatt/blob/master/pygatt/backends/bgapi

S. Mack, 21.3.20
"""

import pygatt
import time
import logging
logging.basicConfig(filename='logDatei.log', level=10)

adapter = pygatt.BGAPIBackend()
# BlueGiga Dongle intialisieren (inkl. Reset)
adapter.start(reset=False) # Mit reset=True Fehler
time.sleep(1)
# BLE-Verbindung mit MoveHub aufbauen (MAC: 00:16:53:AB:64:29)
device = adapter.connect('00:16:53:AB:64:29')
time.sleep(1)
# Abfrage Device ID ueber den Handle 0x07
print(device.char_read_handle(0x07)) 
time.sleep(1)

adapter.stop()